local CowTip = _G.CowTip

local tq = LibStub("LibTalentQuery-1.0")

local talentSpecs = {}
local talentSpecNames = {}
CowTip.talentSpecs = talentSpecs
CowTip.talentSpecNames = talentSpecNames
local function updatetalent(event, name, realm)
	if InCombatLockdown() then
		-- do not do anything when in combat
		return
	end
	local name = name .. (realm or "")
	local data = talentSpecs[name] or {[1] = {}, [2] = {}, [3] = {},}
	local specName = { NONE, 0 }
	for i = 1, 3 do
		local name, _, points = GetTalentTabInfo(i, name ~= UnitName("player"))
		data[i][1] = name
		data[i][2] = points
		if points > specName[2] then
			specName[1] = name
			specName[2] = points
		elseif points == specName[2] then
			specName[1] = "Hybrid"
		end
	end
	talentSpecs[name] = data
	talentSpecNames[name] = specName[1]
end
tq.RegisterCallback(CowTip, "TalentQuery_Ready", updatetalent)
